
Collapse = {}

Collapse.powerups = {'shuffle', 'bomb', 'color_bomb', 'freeze'}
Collapse.colors = {60, 60, 60, 60}
Collapse.speed = 0.8
Collapse.ExitLevel = ""
Collapse.newLineTime = 4.0
Collapse.tutorial = false

----------------------------------------------------------------------------------------------------
function Collapse:onShow()
    Panel:show(false)
    CollapseCore:new(Collapse.colors, Collapse.newLineTime / Collapse.speed, Collapse.powerups)
    CollapseCore:onShow()
    Media:switchBackgroundSet('Collapse')
end

----------------------------------------------------------------------------------------------------
function Collapse:onHide()
    if Collapse.tutorial then
        Tutorial:leaveChapter()
    end
    CollapseCore:onHide()
    --Media:stopBackground('Collapse')
end